# Seedling

Seedling is a project generator for @prokyon libraries.

## How to start

1. Create file `.npmrc`
2. Paste content to file `@toolkit:registry=https://npm.romanjaros.dev`
3. Use `pnpm dlx @toolkit/seedling --name hello-world --port 90 --monorepo T ./app`
    - instead of `./app` use can use curent folder, `.` or `./`
4. Use `pnpm dev` to start

## Parameters

### name
- define application name
- string

### port
- define port for application when is deployed
- number

### monorepo
- define if generated structure will be for monorepo
- value `T` = `true` or `F` = `false`

### context
- last parameter is folder as destination of generated code
- string